Bug 1296117 - [abrt] firefox: mozalloc_abort(char const*)(): plugin-container killed by SIGSEGV
[abrt] firefox: mozalloc_abort(char const*)(): plugin-container killed by SIG...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox (Show other bugs)
7.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
abrt_hash:440a5ab2937e0efbf5d274adbd6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 06:20 EST by Alexander Todorov
Modified: 2017-01-09 10:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.99 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: cgroup (181 bytes, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: core_backtrace (14.02 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: dso_list (12.70 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: environ (2.93 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: exploitable (121 bytes, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: machineid (135 bytes, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: maps (73.34 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: open_fds (199 bytes, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: var_log_messages (29 bytes, text/plain)
2016-01-06 06:20 EST, Alexander Todorov
no flags Details
File: sosreport.tar.xz (12.35 MB, application/octet-stream)
2016-01-06 06:21 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2016-01-06 06:20:16 EST
Version-Release number of selected component:
firefox-38.5.0-3.el7_2

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/plugin-container /usr/lib64/flash-plugin/libflashplayer.so -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 5035 plugin
crash_function: mozalloc_abort(char const*)
executable:     /usr/lib64/firefox/plugin-container
global_pid:     5205
kernel:         3.10.0-327.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 mozalloc_abort(char const*) at /usr/lib64/firefox/libmozalloc.so
 #1 NS_DebugBreak at /usr/lib64/firefox/libxul.so
 #2 mozilla::ipc::MessageChannel::OnChannelErrorFromLink() at /usr/lib64/firefox/libxul.so
 #3 mozilla::ipc::ProcessLink::OnChannelError() at /usr/lib64/firefox/libxul.so
 #4 event_base_loop at /usr/lib64/firefox/libxul.so
 #5 base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) at /usr/lib64/firefox/libxul.so
 #6 MessageLoop::Run() at /usr/lib64/firefox/libxul.so
 #7 base::Thread::ThreadMain() at /usr/lib64/firefox/libxul.so
 #8 ThreadFunc(void*) at /usr/lib64/firefox/libxul.so

Potential duplicate: bug 1168744
Comment 1 Alexander Todorov 2016-01-06 06:20:20 EST
Created attachment 1112106 [details]
File: backtrace
Comment 2 Alexander Todorov 2016-01-06 06:20:21 EST
Created attachment 1112107 [details]
File: cgroup
Comment 3 Alexander Todorov 2016-01-06 06:20:23 EST
Created attachment 1112108 [details]
File: core_backtrace
Comment 4 Alexander Todorov 2016-01-06 06:20:25 EST
Created attachment 1112109 [details]
File: dso_list
Comment 5 Alexander Todorov 2016-01-06 06:20:26 EST
Created attachment 1112110 [details]
File: environ
Comment 6 Alexander Todorov 2016-01-06 06:20:28 EST
Created attachment 1112111 [details]
File: exploitable
Comment 7 Alexander Todorov 2016-01-06 06:20:29 EST
Created attachment 1112112 [details]
File: limits
Comment 8 Alexander Todorov 2016-01-06 06:20:31 EST
Created attachment 1112113 [details]
File: machineid
Comment 9 Alexander Todorov 2016-01-06 06:20:33 EST
Created attachment 1112114 [details]
File: maps
Comment 10 Alexander Todorov 2016-01-06 06:20:35 EST
Created attachment 1112115 [details]
File: open_fds
Comment 11 Alexander Todorov 2016-01-06 06:20:36 EST
Created attachment 1112116 [details]
File: proc_pid_status
Comment 12 Alexander Todorov 2016-01-06 06:20:37 EST
Created attachment 1112117 [details]
File: var_log_messages
Comment 13 Alexander Todorov 2016-01-06 06:21:34 EST
Created attachment 1112118 [details]
File: sosreport.tar.xz
Comment 15 Martin Stransky 2016-01-07 05:59:51 EST
Is there any reproduction steps?
Comment 16 Alexander Todorov 2016-01-07 07:08:20 EST
Nope, Firefox just crashed randomly while I was browsing. I don't know what caused it.
Comment 17 Marian Csontos 2016-01-27 12:31:01 EST
Any chance it is related to video/media?

|mcsontos@deadbeef|17:20|~> firefox --no-remote --new-instance --ProfileManager
console.error: 
  [CustomizableUI]
  Custom widget with id loop-button does not return a valid node
console.error: 
  [CustomizableUI]
  Custom widget with id loop-button does not return a valid node
SystemMessageCache: init

Now soon after visiting pages usually with video (like https://www.elastic.co/products/kibana) I get an instant segfault:

DtsCreateShMem:unable to get shmid :13
DtsCreateShMem:unable to get shmid :13
Segmentation fault (core dumped)

###!!! [Child][MessageChannel] Error: Channel error: cannot send/recv


###!!! [Child][MessageChannel] Error: Channel error: cannot send/recv


###!!! [Child][MessageChannel] Error: Channel error: cannot send/recv


###!!! [Child][MessageChannel] Error: Channel error: cannot send/recv


###!!! [Child][MessageChannel] Error: Channel error: cannot send/recv
Comment 18 Marian Csontos 2016-01-28 08:09:52 EST
I tried disabling autoplay (set media.autoplay.enabled in about:config to false) and NoScript but still got a failure on the above page.

Thought possible workaround could be installing "Stop Tube HTML5" add on, as installing the add-on I could browse for a little longer, but the crash still occurred, subjectively later.

I am on Lenovo W541 - this has 2 video cards - one built-in Intel and NVidia.
I am wondering if FF is opening a media stream to video device when there is one whether it is playing or not, and it gets confused...

I am on RHEL 7.2 with recent kernel:

Linux deadbeef.usersys.redhat.com 3.10.0-327.4.4.el7.x86_64 #1 SMP Thu Dec 17 15:51:24 EST 2015 x86_64 x86_64 x86_64 GNU/Linux

And using the Xorg drivers:

xorg-x11-drv-nouveau-1.0.11-2.el7.x86_64
xorg-x11-drv-intel-2.99.917-8.20150615.el7.x86_64

Alexander, what's your HW?

Do you have SElinux enabled? I do and found the following in the logs:

----
time->Thu Jan 28 11:40:48 2016
type=SYSCALL msg=audit(1453977648.055:29480): arch=c000003e syscall=2 success=no exit=-13 a0=2038580 a1=2 a2=0 a3=7ffdf0be1c30 items=0 ppid=4920 pid=5084 auid=13940 uid=13940 gid=13940 euid=13940 suid=13940 fsuid=13940 egid=13940 sgid=13940 fsgid=13940 tty=(none) ses=1 comm="gst-plugin-scan" exe="/usr/libexec/gstreamer-1.0/gst-plugin-scanner" subj=unconfined_u:unconfined_r:sandbox_web_t:s0:c40,c330 key=(null)
type=AVC msg=audit(1453977648.055:29480): avc:  denied  { read write } for  pid=5084 comm="gst-plugin-scan" name="video0" dev="devtmpfs" ino=16863 scontext=unconfined_u:unconfined_r:sandbox_web_t:s0:c40,c330 tcontext=system_u:object_r:v4l_device_t:s0 tclass=chr_file

This was FF used in SElinux sandbox.
This does not map 1:1 to all the crashes I have seen, but could this be the culprit?

selinux-policy-targeted-3.13.1-60.el7.noarch

I wonder whether the "exit=-13" here:

    type=SYSCALL msg=audit(1453977648.055:29480): arch=c000003e syscall=2 success=no exit=-13 

is the same 13 as seen on console:

    DtsCreateShMem:unable to get shmid :13

May be we are up to something...

/me is rebooting to a newer kernel...
Comment 19 Alexander Todorov 2016-01-28 08:58:26 EST
(In reply to Marian Csontos from comment #18)
> 
> Alexander, what's your HW?
> 
> Do you have SElinux enabled? I do and found the following in the logs:
> 


Hi Marian,
I'm on a MacBook Air 13", early 2015 model. I have latest RHEL 7.2 updated. 

This was a random FF crash so I have no idea what really caused it and can't reproduce. Opening the above website works for me and I can play the vimeo video. Also IIRC I've opted for HTML5 on YouTube as well. I have SELinux in Enforcing mode. I believe the Xorg driver is Intel. 

Here's what I have installed and some HW specs:

[atodorov@aero ~]$ uname -r
3.10.0-327.4.5.el7.x86_64
firefox-38.6.0-1.el7_2.x86_64
xorg-x11-drv-intel-2.99.917-8.20150615.el7.x86_64

Detailed hardware listings can be found here:
http://atodorov.org/blog/2015/04/26/installing-red-hat-enterprise-linux-7-on-macbook-air-2015/


I've installed all -debuginfo packages for FF and I'll try to resubmit the backtrace with more details if I still keep it locally.
Comment 20 Marian Csontos 2016-01-28 10:28:41 EST
For now after reboot not reproducible.

I have two monitors, and I am frequently docking/undocking and suspending/resuming the notebook, so let's see how long it will last...
Comment 21 Martin Stransky 2016-02-26 09:33:39 EST
That should be fixed by update to ESR45 which contains a fix for that. Let's wait until ESR45 is out and then retest.

Note You need to log in before you can comment on or make changes to this bug.